Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.google.gwt.inject.client.assistedinject
Class FactoryModule<F>

    java.lang.Object
      com.google.gwt.inject.client.assistedinject.FactoryModule<F>

All Implemented Interfaces:
  GinModule

    public class FactoryModule<F>

extends java.lang.Object
implements GinModule

For internal Gin use only. Fake module that transports assisted inject information from user-defined modules to the bindings processor.

Constructor Summary
`FactoryModule(java.util.Map<Key<?>,TypeLiteral<?>> bindings, Key<F> factoryType, java.lang.Object source)`

Method Summary
`void` | `configure(GinBinder binder)` Contributes bindings and other configurations for this module to `binder`.
`java.util.Map<Key<?>,TypeLiteral<?>>` | `getBindings()`
`Key<F>` | `getFactoryType()`
`java.lang.String` | `getSource()` Returns the source location of the factory module's declaration.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### FactoryModule

    public FactoryModule(java.util.Map<Key<?>,TypeLiteral<?>> bindings,
                         Key<F> factoryType,
                         java.lang.Object source)

Method Detail

### getFactoryType

    public Key<F> getFactoryType()

### getBindings

    public java.util.Map<Key<?>,TypeLiteral<?>> getBindings()

### getSource

    public java.lang.String getSource()

  Returns the source location of the factory module's declaration.

### configure

    public void configure(GinBinder binder)

  Description copied from interface: `GinModule`
  Contributes bindings and other configurations for this module to `binder`.

  Specified by:
    `configure` in interface `GinModule`

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD